VkLayerInstanceCreateInfo Struct Reference

`#include <vk_layer.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkLayerFunction | function
union {
VkLayerInstanceLink * pLayerInfo
PFN_vkSetInstanceLoaderData pfnSetInstanceLoaderData
} | u

## Detailed Description

Definition at line 111 of file vk_layer.h.

## Field Documentation

## function

VkLayerFunction VkLayerInstanceCreateInfo::function

Definition at line 114 of file vk_layer.h.

## pfnSetInstanceLoaderData

PFN_vkSetInstanceLoaderData VkLayerInstanceCreateInfo::pfnSetInstanceLoaderData

Definition at line 117 of file vk_layer.h.

## pLayerInfo

VkLayerInstanceLink* VkLayerInstanceCreateInfo::pLayerInfo

Definition at line 116 of file vk_layer.h.

## pNext

const void* VkLayerInstanceCreateInfo::pNext

Definition at line 113 of file vk_layer.h.

## sType

VkStructureType VkLayerInstanceCreateInfo::sType

Definition at line 112 of file vk_layer.h.

## u

union { ... } VkLayerInstanceCreateInfo::u

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vk_layer.h